- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::Sphere Class Reference

Inheritance diagram for osg::Sphere:

[legend]
List of all members.

## Public Member Functions
| Sphere ()
| Sphere (const osg::Vec3 &center, float radius)
| Sphere (const Sphere &sphere, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Shape (osg, Sphere)
bool | valid () const
void | set (const Vec3 &center, float radius)
void | setCenter (const Vec3 &center)
const Vec3 & | getCenter () const
void | setRadius (float radius)
float | getRadius () const
## Protected Member Functions
virtual | ~Sphere ()
## Protected Attributes
Vec3 | _center
float | _radius

## Constructor & Destructor Documentation

osg::Sphere::Sphere | ( |  | ) | `[inline]`

osg::Sphere::Sphere | ( | const osg::Vec3 & | center,
|  | float | radius
| ) | `[inline]`

osg::Sphere::Sphere | ( | const Sphere & | sphere,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

virtual osg::Sphere::~Sphere | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

const Vec3& osg::Sphere::getCenter | ( |  | ) | const`[inline]`

float osg::Sphere::getRadius | ( |  | ) | const`[inline]`

osg::Sphere::META_Shape | ( | osg | ,
|  | Sphere |
| ) |

void osg::Sphere::set | ( | const Vec3 & | center,
|  | float | radius
| ) | `[inline]`

void osg::Sphere::setCenter | ( | const Vec3 & | center | ) | `[inline]`

void osg::Sphere::setRadius | ( | float | radius | ) | `[inline]`

bool osg::Sphere::valid | ( |  | ) | const`[inline]`

## Member Data Documentation

Vec3 osg::Sphere::_center`[protected]`

float osg::Sphere::_radius`[protected]`

The documentation for this class was generated from the following file:

- Shape